// The MIT License
//
// Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
//
// Copyright (C) 2020 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of
// this software and associated documentation files (the "Software"), to deal in
// the Software without restriction, including without limitation the rights to
// use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
// of the Software, and to permit persons to whom the Software is furnished to do
// so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

import XCTest
import SwiftUI
@testable import MinGraviditet

final class ColorTests: XCTestCase {
    func testColorBySeed() {
        let color1: Color = .colorBySeed("000000001")
        let color2: Color = .colorBySeed("200000000")
        XCTAssertNotEqual(color1, color2)
        let color3: Color = .colorBySeed("00001000")
        XCTAssertNotEqual(color2, color3)

        let color1Again: Color = .colorBySeed("000000001")
        XCTAssertEqual(color1, color1Again)

        let color4: Color = .colorBySeed("110022008")
        let color5: Color = .colorBySeed("100000001")
        XCTAssertNotEqual(color4, color5)

        let color6: Color = .colorBySeed("222222222")
        XCTAssertNotEqual(color1, color6)
        XCTAssertNotEqual(color2, color6)
        XCTAssertNotEqual(color3, color6)
        XCTAssertNotEqual(color4, color6)
        XCTAssertNotEqual(color5, color6)
    }
}
